## sane-airscan 0.99.12

=== Makefile ===
# USER-SETTABLE VARIABLES
#
# The following variables can be overridden by user (i.e.,
# make install DESTDIR=/tmp/xxx):
#
#   Name     Default                  Description
#   ----     -------                  -----------
#   DESTDIR                           Destination directory for make install
#   PREFIX       	              Non-standard: appended to DESTDIR
#   CC       gcc                      C compiler
#   CPPFLAGS                          C preprocessor flags
#   CFLAGS   -O2 -g -W -Wall -Werror  C compiler flags
#   LDFLAGS                           Linker flags
#   COMPRESS gzip                     Program to compress man page, or ""
#   MANDIR   /usr/share/man/          Where to install man page
#   STRIP    -s                       Stripping of debug symbols

CC	= gcc
COMPRESS = gzip
CFLAGS	+= -O2 -g -W -Wall -Werror -pthread $(CPPFLAGS)
MANDIR	= /usr/share/man/
PKG_CONFIG = /usr/bin/pkg-config
STRIP 	= -s

# These variables are not intended to be user-settable
OBJDIR  = objs/
BINDIR 	= /usr/bin
CONFDIR = /etc/sane.d
LIBDIR 	:= $(shell $(PKG_CONFIG) --variable=libdir sane-backends)
BACKEND = libsane-airscan.so.1
DISCOVER = airscan-discover
LIBAIRSCAN = $(OBJDIR)/libairscan.a
MAN_DISCOVER = $(DISCOVER).1
MAN_DISCOVER_TITLE = "SANE Scanner Access Now Easy"
MAN_BACKEND = sane-airscan.5
MAN_BACKEND_TITLE = "AirScan (eSCL) and WSD SANE backend"
DEPS_COMMON := avahi-client libxml-2.0 gnutls
DEPS_CODECS := libjpeg libpng

# Sources and object files
SRC	= $(wildcard airscan-*.c) sane_strstatus.c http_parser.c
OBJ	= $(addprefix $(OBJDIR), $(SRC:.c=.o))

# Obtain CFLAGS and LDFLAGS for dependencies
deps_CFLAGS		:= $(foreach lib, $(DEPS_COMMON), $(shell pkg-config --cflags $(lib)))
deps_CFLAGS		+= $(foreach lib, $(DEPS_CODECS), $(shell pkg-config --cflags $(lib)))

deps_LIBS 		:= $(foreach lib, $(DEPS_COMMON), $(shell pkg-config --libs $(lib))) -lm
deps_LIBS_CODECS 	:= $(foreach lib, $(DEPS_CODECS), $(shell pkg-config --libs $(lib)))

# Compute CFLAGS and LDFLAGS for backend and tools
#
# Note, CFLAGS are common, for simplicity, while LDFLAGS are not, to
# avoid linking unneeded libraries
common_CFLAGS		:= $(CFLAGS) $(deps_CFLAGS)
common_CFLAGS 		+= -fPIC

backend_LDFLAGS 	:= $(LDFLAGS)
backend_LDFLAGS 	+= $(deps_LIBS) $(deps_LIBS_CODECS)
backend_LDFLAGS 	+= -Wl,--version-script=airscan.sym

tools_LDFLAGS 		:= $(LDFLAGS)
tools_LDFLAGS 		+= $(deps_LIBS)
tools_LDFLAGS 		+= -fPIE

tests_LDFLAGS		:= $(tools_LDFLAGS) $(deps_LIBS_CODECS)

$(OBJDIR)%.o: %.c Makefile airscan.h
	mkdir -p $(OBJDIR)
	$(CC) -c -o $@ $< $(CPPFLAGS) $(common_CFLAGS)

.PHONY: all clean install man

all:	tags $(BACKEND) $(DISCOVER) test test-decode test-uri

tags: $(SRC) airscan.h test.c test-decode.c test-uri.c
	-ctags -R .

$(BACKEND): $(OBJDIR)airscan.o $(LIBAIRSCAN) airscan.sym
	$(CC) -o $(BACKEND) -shared $(OBJDIR)/airscan.o $(LIBAIRSCAN) $(backend_LDFLAGS)

$(DISCOVER): $(OBJDIR)discover.o $(LIBAIRSCAN)
	 $(CC) -o $(DISCOVER) discover.c $(CPPFLAGS) $(common_CFLAGS) $(LIBAIRSCAN) $(tools_LDFLAGS)

$(LIBAIRSCAN): $(OBJ) Makefile
	ar cru $(LIBAIRSCAN) $(OBJ)

install: all
	mkdir -p $(DESTDIR)$(PREFIX)$(BINDIR)
	mkdir -p $(DESTDIR)$(PREFIX)$(CONFDIR)
	mkdir -p $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d
	install $(STRIP) -D -t $(DESTDIR)$(PREFIX)$(BINDIR) $(DISCOVER)
	cp -n airscan.conf $(DESTDIR)$(PREFIX)$(CONFDIR)
	cp -n dll.conf $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d/airscan
	install $(STRIP) -D -t $(DESTDIR)$(PREFIX)$(LIBDIR)/sane $(BACKEND)
	mkdir -p $(DESTDIR)$(PREFIX)/$(MANDIR)/man5
	install -m 644 -D -t $(DESTDIR)$(PREFIX)$(MANDIR)/man1 $(MAN_DISCOVER)
	install -m 644 -D -t $(DESTDIR)$(PREFIX)$(MANDIR)/man5 $(MAN_BACKEND)
	[ "$(COMPRESS)" = "" ] || $(COMPRESS) -f $(DESTDIR)$(PREFIX)$(MANDIR)/man1/$(MAN_DISCOVER)
	[ "$(COMPRESS)" = "" ] || $(COMPRESS) -f $(DESTDIR)$(PREFIX)$(MANDIR)/man5/$(MAN_BACKEND)

clean:
	rm -f test test-decode test-uri $(BACKEND) tags
	rm -rf $(OBJDIR)

uninstall:
	rm -f $(DESTDIR)$(PREFIX)$(BINDIR)/$(DISCOVER)
	rm -f $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d/airscan
	rm -f $(DESTDIR)$(PREFIX)$(LIBDIR)/sane/$(BACKEND)
	rm -f $(DESTDIR)$(PREFIX)$(MANDIR)/man1/$(MAN_DISCOVER)*
	rm -f $(DESTDIR)$(PREFIX)$(MANDIR)/man5/$(MAN_BACKEND)*

man: $(MAN_DISCOVER) $(MAN_BACKEND)

$(MAN_DISCOVER): $(MAN_DISCOVER).md
	ronn --roff --manual=$(MAN_DISCOVER_TITLE) $(MAN_DISCOVER).md

$(MAN_BACKEND): $(MAN_BACKEND).md
	ronn --roff --manual=$(MAN_BACKEND_TITLE) $(MAN_BACKEND).md

test:	$(BACKEND) test.c
	$(CC) -o test test.c $(BACKEND) -Wl,-rpath . $(LDFLAGS) ${common_CFLAGS}

test-decode: test-decode.c $(LIBAIRSCAN)
	 $(CC) -o test-decode test-decode.c $(CPPFLAGS) $(common_CFLAGS) $(LIBAIRSCAN) $(tests_LDFLAGS)

test-uri: test-uri.c $(LIBAIRSCAN)
	 $(CC) -o test-uri test-uri.c $(CPPFLAGS) $(common_CFLAGS) $(LIBAIRSCAN) $(tests_LDFLAGS)

=== debian/changelog ===
sane-airscan (0.99.12-1ubuntu2) groovy; urgency=medium

  * Updated debian/copyright for missing http_parser.* Expat license mention
    (Closes: #968261).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 13 Aug 2020 12:34:56 +0200

sane-airscan (0.99.12-1ubuntu1) groovy; urgency=medium

  * Adapted build dependencies: libjpeg-turbo8-dev instead of
    libjpeg62-turbo-dev, debhelper-compat (=12) instead of (=13).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  6 Aug 2020 22:22:22 +0200

sane-airscan (0.99.12-1) unstable; urgency=medium

  * New 0.99.12 upstream version
    - Update B-D: drop libsoup and libglib, add gnutls, libxml2

 -- Didier Raboud <odyx@debian.org>  Thu, 06 Aug 2020 17:52:00 +0200

sane-airscan (0.99.10-1) unstable; urgency=medium

  * New 0.99.10 upstream version
    - Drop patches included upstream

 -- Didier Raboud <odyx@debian.org>  Thu, 16 Jul 2020 18:48:15 +0200

sane-airscan (0.99.8-2) unstable; urgency=medium

  * Fix homepage URL
  * Patch manpage to fix typo and acute-accent syntax warning

 -- Didier Raboud <odyx@debian.org>  Fri, 10 Jul 2020 18:27:04 +0200

sane-airscan (0.99.8-1) unstable; urgency=low

  * Initial release (Closes: #964446)

 -- Didier Raboud <odyx@debian.org>  Fri, 10 Jul 2020 18:03:10 +0200

=== debian/control ===
Source: sane-airscan
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Section: graphics
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 libavahi-common-dev,
 libavahi-client-dev,
 libsane-dev,
 libjpeg-turbo8-dev,
 libpng-dev,
 libxml2-dev,
 gnutls-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/alexpevzner/sane-airscan
Vcs-Browser: https://salsa.debian.org/printing-team/sane-airscan
Vcs-Git: https://salsa.debian.org/printing-team/sane-airscan.git

Package: sane-airscan
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: SANE backend for AirScan (eSCL) and WSD document scanner
 Similar to how most modern network printers support "driverless"
 printing, using the universal vendor-neutral printing protocol, many
 modern network scanners and MFPs support "driverless" scanning.
 .
 Driverless scanning comes in two flavors:
 .
 * Apple AirScan or AirPrint scanning (official protocol name is eSCL)
 * Microsoft WSD, or WS-Scan (term WSD means "Web Services for Devices)
 .
 This backend implements both protocols, choosing automatically between
 them. It was successfully tested with many devices from Brother, Canon,
 Kyocera, Lexmark, Epson, HP, Ricoh, Samsung and Xerox both in WSD and
 eSCL modes.

## sane-airscan 0.99.15

=== Makefile ===
--- 
+++ 
@@ -3,17 +3,19 @@
 # The following variables can be overridden by user (i.e.,
 # make install DESTDIR=/tmp/xxx):
 #
-#   Name     Default                  Description
-#   ----     -------                  -----------
-#   DESTDIR                           Destination directory for make install
-#   PREFIX       	              Non-standard: appended to DESTDIR
-#   CC       gcc                      C compiler
-#   CPPFLAGS                          C preprocessor flags
-#   CFLAGS   -O2 -g -W -Wall -Werror  C compiler flags
-#   LDFLAGS                           Linker flags
-#   COMPRESS gzip                     Program to compress man page, or ""
-#   MANDIR   /usr/share/man/          Where to install man page
-#   STRIP    -s                       Stripping of debug symbols
+#   Name     Default                    Description
+#   ----     -------                    -----------
+#   DESTDIR                             Destination directory for make install
+#   PREFIX           	                Non-standard: appended to DESTDIR
+#   CC         gcc                      C compiler
+#   CPPFLAGS                            C preprocessor flags
+#   CFLAGS     -O2 -g -W -Wall -Werror  C compiler flags
+#   LDFLAGS                             Linker flags
+#   COMPRESS   gzip                     Program to compress man page, or ""
+#   MANDIR     /usr/share/man/          Where to install man page
+#   STRIP      -s                       Stripping of debug symbols
+#   PKG_CONFIG pkg-config               Program to query dependencies info
+#   INSTALL    install                  Installation program
 
 CC	= gcc
 COMPRESS = gzip
@@ -21,6 +23,7 @@
 MANDIR	= /usr/share/man/
 PKG_CONFIG = /usr/bin/pkg-config
 STRIP 	= -s
+INSTALL = install
 
 # These variables are not intended to be user-settable
 OBJDIR  = objs/
@@ -42,11 +45,11 @@
 OBJ	= $(addprefix $(OBJDIR), $(SRC:.c=.o))
 
 # Obtain CFLAGS and LDFLAGS for dependencies
-deps_CFLAGS		:= $(foreach lib, $(DEPS_COMMON), $(shell pkg-config --cflags $(lib)))
-deps_CFLAGS		+= $(foreach lib, $(DEPS_CODECS), $(shell pkg-config --cflags $(lib)))
+deps_CFLAGS		:= $(foreach lib, $(DEPS_COMMON), $(shell $(PKG_CONFIG) --cflags $(lib)))
+deps_CFLAGS		+= $(foreach lib, $(DEPS_CODECS), $(shell $(PKG_CONFIG) --cflags $(lib)))
 
-deps_LIBS 		:= $(foreach lib, $(DEPS_COMMON), $(shell pkg-config --libs $(lib))) -lm
-deps_LIBS_CODECS 	:= $(foreach lib, $(DEPS_CODECS), $(shell pkg-config --libs $(lib)))
+deps_LIBS 		:= $(foreach lib, $(DEPS_COMMON), $(shell $(PKG_CONFIG) --libs $(lib))) -lm
+deps_LIBS_CODECS 	:= $(foreach lib, $(DEPS_CODECS), $(shell $(PKG_CONFIG) --libs $(lib)))
 
 # Compute CFLAGS and LDFLAGS for backend and tools
 #
@@ -71,9 +74,9 @@
 
 .PHONY: all clean install man
 
-all:	tags $(BACKEND) $(DISCOVER) test test-decode test-uri
+all:	tags $(BACKEND) $(DISCOVER) test test-decode test-multipart test-uri
 
-tags: $(SRC) airscan.h test.c test-decode.c test-uri.c
+tags: $(SRC) airscan.h test.c test-decode.c test-multipart.c test-uri.c
 	-ctags -R .
 
 $(BACKEND): $(OBJDIR)airscan.o $(LIBAIRSCAN) airscan.sym
@@ -89,18 +92,18 @@
 	mkdir -p $(DESTDIR)$(PREFIX)$(BINDIR)
 	mkdir -p $(DESTDIR)$(PREFIX)$(CONFDIR)
 	mkdir -p $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d
-	install $(STRIP) -D -t $(DESTDIR)$(PREFIX)$(BINDIR) $(DISCOVER)
+	$(INSTALL) $(STRIP) -D -t $(DESTDIR)$(PREFIX)$(BINDIR) $(DISCOVER)
 	cp -n airscan.conf $(DESTDIR)$(PREFIX)$(CONFDIR)
 	cp -n dll.conf $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d/airscan
-	install $(STRIP) -D -t $(DESTDIR)$(PREFIX)$(LIBDIR)/sane $(BACKEND)
+	$(INSTALL) $(STRIP) -D -t $(DESTDIR)$(PREFIX)$(LIBDIR)/sane $(BACKEND)
 	mkdir -p $(DESTDIR)$(PREFIX)/$(MANDIR)/man5
-	install -m 644 -D -t $(DESTDIR)$(PREFIX)$(MANDIR)/man1 $(MAN_DISCOVER)
-	install -m 644 -D -t $(DESTDIR)$(PREFIX)$(MANDIR)/man5 $(MAN_BACKEND)
+	$(INSTALL) -m 644 -D -t $(DESTDIR)$(PREFIX)$(MANDIR)/man1 $(MAN_DISCOVER)
+	$(INSTALL) -m 644 -D -t $(DESTDIR)$(PREFIX)$(MANDIR)/man5 $(MAN_BACKEND)
 	[ "$(COMPRESS)" = "" ] || $(COMPRESS) -f $(DESTDIR)$(PREFIX)$(MANDIR)/man1/$(MAN_DISCOVER)
 	[ "$(COMPRESS)" = "" ] || $(COMPRESS) -f $(DESTDIR)$(PREFIX)$(MANDIR)/man5/$(MAN_BACKEND)
 
 clean:
-	rm -f test test-decode test-uri $(BACKEND) tags
+	rm -f test test-decode test-multipart test-uri $(BACKEND) tags
 	rm -rf $(OBJDIR)
 
 uninstall:
@@ -124,5 +127,8 @@
 test-decode: test-decode.c $(LIBAIRSCAN)
 	 $(CC) -o test-decode test-decode.c $(CPPFLAGS) $(common_CFLAGS) $(LIBAIRSCAN) $(tests_LDFLAGS)
 
+test-multipart: test-multipart.c $(LIBAIRSCAN)
+	 $(CC) -o test-multipart test-multipart.c $(CPPFLAGS) $(common_CFLAGS) $(LIBAIRSCAN) $(tests_LDFLAGS)
+
 test-uri: test-uri.c $(LIBAIRSCAN)
 	 $(CC) -o test-uri test-uri.c $(CPPFLAGS) $(common_CFLAGS) $(LIBAIRSCAN) $(tests_LDFLAGS)

=== debian/changelog ===
sane-airscan (0.99.15-1) unstable; urgency=medium

  * New 0.99.15 upstream release
    - Drop the two FTCBFS patches included upstream
  * Add libjpeg-turbo8-dev as alternate B-D, to build on Ubuntu

 -- Didier Raboud <odyx@debian.org>  Fri, 21 Aug 2020 14:56:03 +0200

sane-airscan (0.99.13-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #968421):
    - Respect provided INSTALL to never strip
    - Respect provided PKG_CONFIG

 -- Didier Raboud <odyx@debian.org>  Sun, 16 Aug 2020 13:21:43 +0200

sane-airscan (0.99.13-1) unstable; urgency=medium

  * New 0.99.13 upstream version
  * d/copyright: Add missing http_parser.* Expat license mention
    (Closes: #968261)

 -- Didier Raboud <odyx@debian.org>  Thu, 13 Aug 2020 11:03:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: graphics
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libavahi-common-dev,
  libavahi-client-dev,
  libsane-dev,
- libjpeg-turbo8-dev,
+ libjpeg62-turbo-dev | libjpeg-turbo8-dev,
  libpng-dev,
  libxml2-dev,
  gnutls-dev,

## sane-airscan 0.99.15-1+9.0trisquel1

=== debian/changelog ===
sane-airscan (0.99.15-1+9.0trisquel1) etiona; urgency=medium

  * Backported from groovy

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 16 Dec 2020 22:18:55 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: graphics
 Priority: optional
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper,
  libavahi-common-dev,
  libavahi-client-dev,
  libsane-dev,

## sane-airscan 0.99.16

=== debian/changelog ===
sane-airscan (0.99.16-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 11 Oct 2020 16:26:18 -0400

sane-airscan (0.99.16-1) unstable; urgency=medium

  * New 0.99.16 upstream version
  * Add ipp-usb Recommends (Closes: #969235)

 -- Didier Raboud <odyx@debian.org>  Wed, 02 Sep 2020 21:53:05 +0200

## sane-airscan 0.99.18

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 deps_CFLAGS		:= $(foreach lib, $(DEPS_COMMON), $(shell $(PKG_CONFIG) --cflags $(lib)))
 deps_CFLAGS		+= $(foreach lib, $(DEPS_CODECS), $(shell $(PKG_CONFIG) --cflags $(lib)))
 
-deps_LIBS 		:= $(foreach lib, $(DEPS_COMMON), $(shell $(PKG_CONFIG) --libs $(lib))) -lm
+deps_LIBS 		:= $(foreach lib, $(DEPS_COMMON), $(shell $(PKG_CONFIG) --libs $(lib))) -lm -lpthread
 deps_LIBS_CODECS 	:= $(foreach lib, $(DEPS_CODECS), $(shell $(PKG_CONFIG) --libs $(lib)))
 
 # Compute CFLAGS and LDFLAGS for backend and tools
@@ -60,7 +60,7 @@
 
 backend_LDFLAGS 	:= $(LDFLAGS)
 backend_LDFLAGS 	+= $(deps_LIBS) $(deps_LIBS_CODECS)
-backend_LDFLAGS 	+= -Wl,--version-script=airscan.sym
+backend_LDFLAGS 	+= -Wl,--version-script=airscan.sym -Wl,--no-undefined
 
 tools_LDFLAGS 		:= $(LDFLAGS)
 tools_LDFLAGS 		+= $(deps_LIBS)
@@ -74,9 +74,9 @@
 
 .PHONY: all clean install man
 
-all:	tags $(BACKEND) $(DISCOVER) test test-decode test-multipart test-uri
+all:	tags $(BACKEND) $(DISCOVER) test test-decode test-multipart test-zeroconf test-uri
 
-tags: $(SRC) airscan.h test.c test-decode.c test-multipart.c test-uri.c
+tags: $(SRC) airscan.h test.c test-decode.c test-multipart.c test-zeroconf.c test-uri.c
 	-ctags -R .
 
 $(BACKEND): $(OBJDIR)airscan.o $(LIBAIRSCAN) airscan.sym
@@ -92,18 +92,20 @@
 	mkdir -p $(DESTDIR)$(PREFIX)$(BINDIR)
 	mkdir -p $(DESTDIR)$(PREFIX)$(CONFDIR)
 	mkdir -p $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d
-	$(INSTALL) $(STRIP) -D -t $(DESTDIR)$(PREFIX)$(BINDIR) $(DISCOVER)
-	cp -n airscan.conf $(DESTDIR)$(PREFIX)$(CONFDIR)
-	cp -n dll.conf $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d/airscan
-	$(INSTALL) $(STRIP) -D -t $(DESTDIR)$(PREFIX)$(LIBDIR)/sane $(BACKEND)
+	$(INSTALL) $(STRIP) -D $(DISCOVER) $(DESTDIR)$(PREFIX)$(BINDIR)
+	[ -e $(DESTDIR)$(PREFIX)$(CONFDIR)/airscan.conf ] || cp airscan.conf $(DESTDIR)$(PREFIX)$(CONFDIR)
+	[ -e $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d/airscan ] || cp dll.conf $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d/airscan
+	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/sane
+	$(INSTALL) $(STRIP) -D $(BACKEND) $(DESTDIR)$(PREFIX)$(LIBDIR)/sane
+	mkdir -p $(DESTDIR)$(PREFIX)/$(MANDIR)/man1
 	mkdir -p $(DESTDIR)$(PREFIX)/$(MANDIR)/man5
-	$(INSTALL) -m 644 -D -t $(DESTDIR)$(PREFIX)$(MANDIR)/man1 $(MAN_DISCOVER)
-	$(INSTALL) -m 644 -D -t $(DESTDIR)$(PREFIX)$(MANDIR)/man5 $(MAN_BACKEND)
+	$(INSTALL) -m 644 $(MAN_DISCOVER) $(DESTDIR)$(PREFIX)$(MANDIR)/man1
+	$(INSTALL) -m 644 $(MAN_BACKEND) $(DESTDIR)$(PREFIX)$(MANDIR)/man5
 	[ "$(COMPRESS)" = "" ] || $(COMPRESS) -f $(DESTDIR)$(PREFIX)$(MANDIR)/man1/$(MAN_DISCOVER)
 	[ "$(COMPRESS)" = "" ] || $(COMPRESS) -f $(DESTDIR)$(PREFIX)$(MANDIR)/man5/$(MAN_BACKEND)
 
 clean:
-	rm -f test test-decode test-multipart test-uri $(BACKEND) tags
+	rm -f test test-decode test-multipart test-zeroconf test-uri $(BACKEND) tags
 	rm -rf $(OBJDIR)
 
 uninstall:
@@ -130,5 +132,8 @@
 test-multipart: test-multipart.c $(LIBAIRSCAN)
 	 $(CC) -o test-multipart test-multipart.c $(CPPFLAGS) $(common_CFLAGS) $(LIBAIRSCAN) $(tests_LDFLAGS)
 
+test-zeroconf: test-zeroconf.c $(LIBAIRSCAN)
+	 $(CC) -o test-zeroconf test-zeroconf.c $(CPPFLAGS) $(common_CFLAGS) $(LIBAIRSCAN) $(tests_LDFLAGS)
+
 test-uri: test-uri.c $(LIBAIRSCAN)
 	 $(CC) -o test-uri test-uri.c $(CPPFLAGS) $(common_CFLAGS) $(LIBAIRSCAN) $(tests_LDFLAGS)

=== debian/changelog ===
sane-airscan (0.99.18-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 26 Oct 2020 14:07:51 -0400

sane-airscan (0.99.18-1) unstable; urgency=medium

  * 0.99.18 upstream release

 -- Didier Raboud <odyx@debian.org>  Wed, 14 Oct 2020 18:41:10 +0200

sane-airscan (0.99.17-1) unstable; urgency=medium

  * New 0.99.17 upstream version

 -- Didier Raboud <odyx@debian.org>  Sat, 10 Oct 2020 17:09:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: sane-airscan
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends:
- debhelper,
+ debhelper-compat (= 13),
  libavahi-common-dev,
  libavahi-client-dev,
  libsane-dev,
@@ -22,6 +23,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: ipp-usb
 Description: SANE backend for AirScan (eSCL) and WSD document scanner
  Similar to how most modern network printers support "driverless"
  printing, using the universal vendor-neutral printing protocol, many

## sane-airscan 0.99.19

=== debian/changelog ===
sane-airscan (0.99.19-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 05 Nov 2020 12:02:32 -0500

sane-airscan (0.99.19-1) unstable; urgency=medium

  * 0.99.19 upstream release
    - Cherry-pick fix for upstream #92

 -- Didier Raboud <odyx@debian.org>  Thu, 29 Oct 2020 19:44:24 +0100

## sane-airscan 0.99.20

=== debian/changelog ===
sane-airscan (0.99.20-1) unstable; urgency=medium

  * 0.99.20 upstream release
    - Drop patch cherry-picks
    - Update d/copyright for holders
  * Bump S-V to 4.5.1 after copyright update

 -- Didier Raboud <odyx@debian.org>  Mon, 23 Nov 2020 08:34:02 +0100

## sane-airscan 0.99.21

=== debian/changelog ===
sane-airscan (0.99.21-1) unstable; urgency=medium

  * 0.99.21 upstream release

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Dec 2020 15:35:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sane-airscan
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
 Section: graphics
 Priority: optional
@@ -13,7 +12,7 @@
  libpng-dev,
  libxml2-dev,
  gnutls-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/alexpevzner/sane-airscan
 Vcs-Browser: https://salsa.debian.org/printing-team/sane-airscan

## sane-airscan 0.99.21%2B80.1

=== Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 
 backend_LDFLAGS 	:= $(LDFLAGS)
 backend_LDFLAGS 	+= $(deps_LIBS) $(deps_LIBS_CODECS)
-backend_LDFLAGS 	+= -Wl,--version-script=airscan.sym -Wl,--no-undefined
+backend_LDFLAGS 	+= -Wl,--version-script=airscan.sym -Wl,--no-undefined -lc
 
 tools_LDFLAGS 		:= $(LDFLAGS)
 tools_LDFLAGS 		+= $(deps_LIBS)

## sane-airscan 0.99.22

=== Makefile ===
--- 
+++ 
@@ -11,14 +11,14 @@
 #   CPPFLAGS                            C preprocessor flags
 #   CFLAGS     -O2 -g -W -Wall -Werror  C compiler flags
 #   LDFLAGS                             Linker flags
-#   COMPRESS   gzip                     Program to compress man page, or ""
+#   COMPRESS   gzip -n                  Program to compress man page, or ""
 #   MANDIR     /usr/share/man/          Where to install man page
 #   STRIP      -s                       Stripping of debug symbols
 #   PKG_CONFIG pkg-config               Program to query dependencies info
 #   INSTALL    install                  Installation program
 
 CC	= gcc
-COMPRESS = gzip
+COMPRESS = gzip -n
 CFLAGS	+= -O2 -g -W -Wall -Werror -pthread $(CPPFLAGS)
 MANDIR	= /usr/share/man/
 PKG_CONFIG = /usr/bin/pkg-config

=== debian/changelog ===
sane-airscan (0.99.22-1) unstable; urgency=medium

  * 0.99.22 upstream release

 -- Didier Raboud <odyx@debian.org>  Tue, 29 Dec 2020 11:15:05 +0100

## sane-airscan 0.99.23

=== debian/changelog ===
sane-airscan (0.99.23-1) unstable; urgency=medium

  * 0.99.23 upstream release

 -- Didier Raboud <odyx@debian.org>  Mon, 11 Jan 2021 20:02:26 +0100

## sane-airscan 0.99.24

=== Makefile ===
--- 
+++ 
@@ -6,39 +6,66 @@
 #   Name     Default                    Description
 #   ----     -------                    -----------
 #   DESTDIR                             Destination directory for make install
-#   PREFIX           	                Non-standard: appended to DESTDIR
 #   CC         gcc                      C compiler
 #   CPPFLAGS                            C preprocessor flags
 #   CFLAGS     -O2 -g -W -Wall -Werror  C compiler flags
 #   LDFLAGS                             Linker flags
 #   COMPRESS   gzip -n                  Program to compress man page, or ""
-#   MANDIR     /usr/share/man/          Where to install man page
 #   STRIP      -s                       Stripping of debug symbols
 #   PKG_CONFIG pkg-config               Program to query dependencies info
 #   INSTALL    install                  Installation program
+#
+# Variables for Installation Directories
+#   Name         Linux               BSD
+#   ----         -----               ---
+#   prefix       /usr                /usr/local
+#   exec_prefix  $(prefix)           $(prefix)
+#   sysconfdir   /etc                $(prefix)/etc
+#   bindir       $(exec_prefix)/bin  $(exec_prefix)/bin
+#   libdir       $(shell $(PKG_CONFIG) --variable=libdir sane-backends)
+#   datarootdir  $(prefix)/share     $(prefix)/share
+#   mandir       $(datarootdir)/man  $(datarootdir)/man
+#
 
-CC	= gcc
-COMPRESS = gzip -n
-CFLAGS	+= -O2 -g -W -Wall -Werror -pthread $(CPPFLAGS)
-MANDIR	= /usr/share/man/
-PKG_CONFIG = /usr/bin/pkg-config
-STRIP 	= -s
-INSTALL = install
+CC		= gcc
+COMPRESS 	= gzip -n
+CFLAGS		+= -O2 -g -W -Wall -Werror -pthread $(CPPFLAGS)
+PKG_CONFIG 	= pkg-config
+STRIP 		= -s
+INSTALL 	= install
+
+ifeq "$(shell uname -s)" "Linux"
+    prefix	?= /usr
+else
+    prefix	?= /usr/local
+endif
+
+ifeq "$(prefix)" "/usr"
+    sysconfdir	= /etc
+else
+    sysconfdir	= $(prefix)/etc
+endif
+
+exec_prefix	= $(prefix)
+bindir          = $(exec_prefix)/bin
+libdir		= $(shell $(PKG_CONFIG) --variable=libdir sane-backends)
+datarootdir	= $(prefix)/share
+mandir		= $(datarootdir)/man
 
 # These variables are not intended to be user-settable
-OBJDIR  = objs/
-BINDIR 	= /usr/bin
-CONFDIR = /etc/sane.d
-LIBDIR 	:= $(shell $(PKG_CONFIG) --variable=libdir sane-backends)
-BACKEND = libsane-airscan.so.1
-DISCOVER = airscan-discover
-LIBAIRSCAN = $(OBJDIR)/libairscan.a
-MAN_DISCOVER = $(DISCOVER).1
+OBJDIR		= objs/
+CONFDIR		= $(sysconfdir)/sane.d
+BACKEND		= libsane-airscan.so.1
+DISCOVER	= airscan-discover
+LIBAIRSCAN	= $(OBJDIR)/libairscan.a
+MAN_DISCOVER	= $(DISCOVER).1
 MAN_DISCOVER_TITLE = "SANE Scanner Access Now Easy"
-MAN_BACKEND = sane-airscan.5
+MAN_BACKEND	= sane-airscan.5
 MAN_BACKEND_TITLE = "AirScan (eSCL) and WSD SANE backend"
-DEPS_COMMON := avahi-client libxml-2.0 gnutls
-DEPS_CODECS := libjpeg libpng
+DEPS_COMMON	:= avahi-client libxml-2.0 gnutls
+DEPS_CODECS	:= libjpeg libpng
+
+CFLAGS		+= -D CONFIG_SANE_CONFIG_DIR=\"$(CONFDIR)\"
 
 # Sources and object files
 SRC	= $(wildcard airscan-*.c) sane_strstatus.c http_parser.c
@@ -89,31 +116,31 @@
 	ar cru $(LIBAIRSCAN) $(OBJ)
 
 install: all
-	mkdir -p $(DESTDIR)$(PREFIX)$(BINDIR)
-	mkdir -p $(DESTDIR)$(PREFIX)$(CONFDIR)
-	mkdir -p $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d
-	$(INSTALL) $(STRIP) -D $(DISCOVER) $(DESTDIR)$(PREFIX)$(BINDIR)
-	[ -e $(DESTDIR)$(PREFIX)$(CONFDIR)/airscan.conf ] || cp airscan.conf $(DESTDIR)$(PREFIX)$(CONFDIR)
-	[ -e $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d/airscan ] || cp dll.conf $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d/airscan
-	mkdir -p $(DESTDIR)$(PREFIX)$(LIBDIR)/sane
-	$(INSTALL) $(STRIP) -D $(BACKEND) $(DESTDIR)$(PREFIX)$(LIBDIR)/sane
-	mkdir -p $(DESTDIR)$(PREFIX)/$(MANDIR)/man1
-	mkdir -p $(DESTDIR)$(PREFIX)/$(MANDIR)/man5
-	$(INSTALL) -m 644 $(MAN_DISCOVER) $(DESTDIR)$(PREFIX)$(MANDIR)/man1
-	$(INSTALL) -m 644 $(MAN_BACKEND) $(DESTDIR)$(PREFIX)$(MANDIR)/man5
-	[ "$(COMPRESS)" = "" ] || $(COMPRESS) -f $(DESTDIR)$(PREFIX)$(MANDIR)/man1/$(MAN_DISCOVER)
-	[ "$(COMPRESS)" = "" ] || $(COMPRESS) -f $(DESTDIR)$(PREFIX)$(MANDIR)/man5/$(MAN_BACKEND)
+	mkdir -p $(DESTDIR)/$(bindir)
+	mkdir -p $(DESTDIR)/$(CONFDIR)
+	mkdir -p $(DESTDIR)/$(CONFDIR)/dll.d
+	$(INSTALL) $(STRIP) $(DISCOVER) $(DESTDIR)/$(bindir)
+	[ -e $(DESTDIR)/$(CONFDIR)/airscan.conf ] || cp airscan.conf $(DESTDIR)/$(CONFDIR)
+	[ -e $(DESTDIR)/$(CONFDIR)/dll.d/airscan ] || cp dll.conf $(DESTDIR)/$(CONFDIR)/dll.d/airscan
+	mkdir -p $(DESTDIR)/$(libdir)/sane
+	$(INSTALL) $(STRIP) $(BACKEND) $(DESTDIR)/$(libdir)/sane
+	mkdir -p $(DESTDIR)/$(mandir)/man1
+	mkdir -p $(DESTDIR)/$(mandir)/man5
+	$(INSTALL) -m 644 $(MAN_DISCOVER) $(DESTDIR)/$(mandir)/man1
+	$(INSTALL) -m 644 $(MAN_BACKEND) $(DESTDIR)/$(mandir)/man5
+	[ "$(COMPRESS)" = "" ] || $(COMPRESS) -f $(DESTDIR)/$(mandir)/man1/$(MAN_DISCOVER)
+	[ "$(COMPRESS)" = "" ] || $(COMPRESS) -f $(DESTDIR)/$(mandir)/man5/$(MAN_BACKEND)
 
 clean:
 	rm -f test test-decode test-multipart test-zeroconf test-uri $(BACKEND) tags
 	rm -rf $(OBJDIR)
 
 uninstall:
-	rm -f $(DESTDIR)$(PREFIX)$(BINDIR)/$(DISCOVER)
-	rm -f $(DESTDIR)$(PREFIX)$(CONFDIR)/dll.d/airscan
-	rm -f $(DESTDIR)$(PREFIX)$(LIBDIR)/sane/$(BACKEND)
-	rm -f $(DESTDIR)$(PREFIX)$(MANDIR)/man1/$(MAN_DISCOVER)*
-	rm -f $(DESTDIR)$(PREFIX)$(MANDIR)/man5/$(MAN_BACKEND)*
+	rm -f $(DESTDIR)/$(bindir)/$(DISCOVER)
+	rm -f $(DESTDIR)/$(CONFDIR)/dll.d/airscan
+	rm -f $(DESTDIR)/$(libdir)/sane/$(BACKEND)
+	rm -f $(DESTDIR)/$(mandir)/man1/$(MAN_DISCOVER)*
+	rm -f $(DESTDIR)/$(mandir)/man5/$(MAN_BACKEND)*
 
 man: $(MAN_DISCOVER) $(MAN_BACKEND)

=== debian/changelog ===
sane-airscan (0.99.24-1) unstable; urgency=medium

  * 0.99.24 upstream release
  * Recommend sane-utils (Closes: #981394)

 -- Didier Raboud <odyx@debian.org>  Sun, 07 Feb 2021 16:19:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: sane-airscan
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
-Uploaders: Didier Raboud <odyx@debian.org>
+Uploaders:
+ Didier Raboud <odyx@debian.org>,
 Section: graphics
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ gnutls-dev,
+ libavahi-client-dev,
  libavahi-common-dev,
- libavahi-client-dev,
- libsane-dev,
  libjpeg62-turbo-dev | libjpeg-turbo8-dev,
  libpng-dev,
+ libsane-dev,
  libxml2-dev,
- gnutls-dev,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/alexpevzner/sane-airscan
@@ -20,9 +21,12 @@
 
 Package: sane-airscan
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: ipp-usb
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ ipp-usb,
+ sane-utils,
 Description: SANE backend for AirScan (eSCL) and WSD document scanner
  Similar to how most modern network printers support "driverless"
  printing, using the universal vendor-neutral printing protocol, many

## sane-airscan 0.99.25

=== debian/changelog ===
sane-airscan (0.99.25-0ubuntu1) hirsute; urgency=medium

  * 0.99.25 upstream release

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 13 Apr 2021 08:58:29 +0200

## sane-airscan 0.99.26

=== debian/changelog ===
sane-airscan (0.99.26-2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    * Applied upstream fix for compatibility with GCC 11 (Upstream commit
      60ffce4be87eb).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 06 Sep 2021 21:11:41 +0200

sane-airscan (0.99.26-2) unstable; urgency=medium

  * Migrate 0.99.26 to unstable
  * S-V: Update to 4.6.0 without changes needed
  * Remove myself from Uploaders
  * Add Salsa CI configuration

 -- Didier Raboud <odyx@debian.org>  Mon, 06 Sep 2021 11:48:32 +0200

sane-airscan (0.99.26-1ubuntu1) impish; urgency=medium

  * Applied upstream fix for compatibility with GCC 11 (Upstream commit
    60ffce4be87eb).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 18 Aug 2021 18:14:41 +0200

sane-airscan (0.99.26-1) experimental; urgency=medium

  * New 0.99.26 upstream release

 -- Didier Raboud <odyx@debian.org>  Thu, 22 Apr 2021 18:09:16 +0200

sane-airscan (0.99.25-1) experimental; urgency=medium

  * New 0.99.25 upstream release

 -- Didier Raboud <odyx@debian.org>  Wed, 14 Apr 2021 07:56:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,5 @@
 Source: sane-airscan
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
-Uploaders:
- Didier Raboud <odyx@debian.org>,
 Section: graphics
 Priority: optional
 Build-Depends:
@@ -13,11 +11,11 @@
  libpng-dev,
  libsane-dev,
  libxml2-dev,
-Standards-Version: 4.5.1
-Rules-Requires-Root: no
-Homepage: https://github.com/alexpevzner/sane-airscan
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/printing-team/sane-airscan
 Vcs-Git: https://salsa.debian.org/printing-team/sane-airscan.git
+Homepage: https://github.com/alexpevzner/sane-airscan
+Rules-Requires-Root: no
 
 Package: sane-airscan
 Architecture: any

## sane-airscan 0.99.27

=== Makefile ===
--- 
+++ 
@@ -142,6 +142,10 @@
 	rm -f $(DESTDIR)/$(mandir)/man1/$(MAN_DISCOVER)*
 	rm -f $(DESTDIR)/$(mandir)/man5/$(MAN_BACKEND)*
 
+check: all
+	./test-uri
+	./test-zeroconf
+
 man: $(MAN_DISCOVER) $(MAN_BACKEND)
 
 $(MAN_DISCOVER): $(MAN_DISCOVER).md

=== debian/changelog ===
sane-airscan (0.99.27-1) unstable; urgency=medium

  * Update to new upstream version 0.99.27.
  * debian/control: add myself to Uploaders:

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 18 Oct 2021 19:11:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: sane-airscan
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: graphics
 Priority: optional
 Build-Depends:

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(\d\S+)\.tar\.gz/sane-airscan-$1\.tar\.gz/ https://github.com/alexpevzner/sane-airscan/tags .*\/(\d\S+)\.tar\.gz

## sane-airscan 0.99.27-1+10.0trisquel2

=== debian/changelog ===
sane-airscan (0.99.27-1+10.0trisquel2) nabia; urgency=medium

  * Backported from jammy

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 12 Jan 2022 07:56:31 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: graphics
 Priority: optional
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper,
  gnutls-dev,
  libavahi-client-dev,
  libavahi-common-dev,

## sane-airscan 0.99.27-1+10.0trisquel3

=== debian/changelog ===
sane-airscan (0.99.27-1+10.0trisquel3) nabia; urgency=medium

  * Backported from jammy

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 06 Dec 2023 02:22:43 +0000

sane-airscan (0.99.27-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:51:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: sane-airscan
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: graphics
 Priority: optional

## sane-airscan 0.99.29

=== Makefile ===
--- 
+++ 
@@ -63,7 +63,7 @@
 MAN_BACKEND	= sane-airscan.5
 MAN_BACKEND_TITLE = "AirScan (eSCL) and WSD SANE backend"
 DEPS_COMMON	:= avahi-client libxml-2.0 gnutls
-DEPS_CODECS	:= libjpeg libpng
+DEPS_CODECS	:= libjpeg libpng libtiff-4
 
 CFLAGS		+= -D CONFIG_SANE_CONFIG_DIR=\"$(CONFDIR)\"

=== debian/changelog ===
sane-airscan (0.99.29-0ubuntu4) noble; urgency=high

  * No change rebuild against libgnutls30t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:49:28 +0200

sane-airscan (0.99.29-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:11:00 +0000

sane-airscan (0.99.29-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:13:20 +0000

sane-airscan (0.99.29-0ubuntu1) noble; urgency=medium

  * New upstream release.
    - Many bug fixes and quirk workaround for more devices to work.
  * Added libtiff5-dev to the build dependencies.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 28 Feb 2024 22:52:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: sane-airscan
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: graphics
 Priority: optional
 Build-Depends:
- debhelper,
+ debhelper-compat (= 13),
  gnutls-dev,
  libavahi-client-dev,
  libavahi-common-dev,
  libjpeg62-turbo-dev | libjpeg-turbo8-dev,
  libpng-dev,
+ libtiff5-dev,
  libsane-dev,
  libxml2-dev,
 Standards-Version: 4.6.0

## sane-airscan 0.99.32

=== debian/changelog ===
sane-airscan (0.99.32-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 20 Feb 2025 13:34:56 +0100

sane-airscan (0.99.29-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.99.29. Closes: #1073356.
  * B-D libtiff-dev

 -- Jérémy Lal <kapouer@melix.org>  Thu, 25 Jul 2024 11:36:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sane-airscan
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: graphics
 Priority: optional
@@ -11,8 +10,8 @@
  libavahi-common-dev,
  libjpeg62-turbo-dev | libjpeg-turbo8-dev,
  libpng-dev,
- libtiff5-dev,
  libsane-dev,
+ libtiff-dev,
  libxml2-dev,
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/printing-team/sane-airscan

## sane-airscan 0.99.34

=== debian/changelog ===
sane-airscan (0.99.34-1) unstable; urgency=medium

  * New upstream release.
  * NMU destroyed debrebase branch, so better not use this

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 19 Apr 2025 01:15:42 +0200

## sane-airscan 0.99.35

=== debian/changelog ===
sane-airscan (0.99.35-1) unstable; urgency=medium

  * New upstream release.
  * this release basically fixes problems with Xerox B205/B215

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 May 2025 10:13:05 +0200

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(\d\S+)\.tar\.gz/sane-airscan-$1\.tar\.gz/ https://github.com/alexpevzner/sane-airscan/tags .*\/(\d\S+)\.tar\.gz debian uupdate

## sane-airscan 0.99.36

=== Makefile ===
--- 
+++ 
@@ -101,9 +101,9 @@
 
 .PHONY: all clean install man
 
-all:	tags $(BACKEND) $(DISCOVER) test test-decode test-multipart test-zeroconf test-uri
+all:	tags $(BACKEND) $(DISCOVER) test test-decode test-devcaps test-multipart test-zeroconf test-uri
 
-tags: $(SRC) airscan.h test.c test-decode.c test-multipart.c test-zeroconf.c test-uri.c
+tags: $(SRC) airscan.h test.c test-decode.c test-devcaps.c test-multipart.c test-zeroconf.c test-uri.c
 	-ctags -R .
 
 $(BACKEND): $(OBJDIR)airscan.o $(LIBAIRSCAN) airscan.sym
@@ -132,7 +132,7 @@
 	[ "$(COMPRESS)" = "" ] || $(COMPRESS) -f $(DESTDIR)/$(mandir)/man5/$(MAN_BACKEND)
 
 clean:
-	rm -f test test-decode test-multipart test-zeroconf test-uri $(BACKEND) tags
+	rm -f test test-decode test-devcaps test-multipart test-zeroconf test-uri $(BACKEND) tags
 	rm -rf $(OBJDIR)
 
 uninstall:
@@ -160,6 +160,9 @@
 test-decode: test-decode.c $(LIBAIRSCAN)
 	 $(CC) -o test-decode test-decode.c $(CPPFLAGS) $(common_CFLAGS) $(LIBAIRSCAN) $(tests_LDFLAGS)
 
+test-devcaps: test-devcaps.c $(LIBAIRSCAN)
+	 $(CC) -o test-devcaps test-devcaps.c $(CPPFLAGS) $(common_CFLAGS) $(LIBAIRSCAN) $(tests_LDFLAGS)
+
 test-multipart: test-multipart.c $(LIBAIRSCAN)
 	 $(CC) -o test-multipart test-multipart.c $(CPPFLAGS) $(common_CFLAGS) $(LIBAIRSCAN) $(tests_LDFLAGS)

=== debian/changelog ===
sane-airscan (0.99.36-2ubuntu1) resolute; urgency=medium

  * fix FTBFS with glibc 2.43 (LP: #2142901)

 -- Simon Poirier <simon.poirier@canonical.com>  Mon, 02 Mar 2026 20:08:09 -0500

sane-airscan (0.99.36-2) unstable; urgency=medium

  * upload to unstable
  * unify salsa-ci.yml
  * #1047535 has been fixed before, closing it now
    (Closes: #1047535)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Aug 2025 11:34:46 +0200

sane-airscan (0.99.36-1) experimental; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 31 Jul 2025 16:34:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: sane-airscan
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Section: graphics
 Priority: optional
@@ -13,7 +14,7 @@
  libsane-dev,
  libtiff-dev,
  libxml2-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/printing-team/sane-airscan
 Vcs-Git: https://salsa.debian.org/printing-team/sane-airscan.git
 Homepage: https://github.com/alexpevzner/sane-airscan
